package com.jaredrummler.android.processes.models;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;

public class ControlGroup
  implements Parcelable
{
  public static final Parcelable.Creator<ControlGroup> CREATOR = new Parcelable.Creator()
  {
    public ControlGroup createFromParcel(Parcel paramAnonymousParcel)
    {
      return new ControlGroup(paramAnonymousParcel);
    }
    
    public ControlGroup[] newArray(int paramAnonymousInt)
    {
      return new ControlGroup[paramAnonymousInt];
    }
  };
  public final String group;
  public final int id;
  public final String subsystems;
  
  protected ControlGroup(Parcel paramParcel)
  {
    this.id = paramParcel.readInt();
    this.subsystems = paramParcel.readString();
    this.group = paramParcel.readString();
  }
  
  protected ControlGroup(String paramString)
    throws NumberFormatException, IndexOutOfBoundsException
  {
    paramString = paramString.split(":");
    this.id = Integer.parseInt(paramString[0]);
    this.subsystems = paramString[1];
    this.group = paramString[2];
  }
  
  public int describeContents()
  {
    return 0;
  }
  
  public String toString()
  {
    return String.format("%d:%s:%s", new Object[] { Integer.valueOf(this.id), this.subsystems, this.group });
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    paramParcel.writeInt(this.id);
    paramParcel.writeString(this.subsystems);
    paramParcel.writeString(this.group);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/jaredrummler/android/processes/models/ControlGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */